﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;


namespace WebbyDraw
{
	public partial class StartUpPage : UserControl
	{
        private bool isMouseButtonDown;

		public StartUpPage()
		{
			// Required to initialize variables
			InitializeComponent();

            isMouseButtonDown = false ;
		}

        private void MakeColorPickerCompact(object sender, RoutedEventArgs e)
        {
            colorPicker.IsCompact = true;            
        }

        private void MakeColorPickerLarge(object sender, RoutedEventArgs e)
        {
            colorPicker.IsCompact = false;
            colorPicker.Height = 200.0;
            colorPicker.Width = 300.0;
        }


        private void colorPicker_ColorChanged(object sender,  EventArgs e)
        {
            updateButton.Background = ((WebbyDraw.ColorChangedEventArgs)(e)).newColor;
        }


	}
}